Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SVertexPositionScaleManipulator Class Reference

Vertex manipulator which scales the position of the vertex. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexPositionScaleManipulator:

List of all members.

## Public Member Functions
template<typename VType >
void | operator() (VType &vertex) const
| SVertexPositionScaleManipulator (const core::vector3df &factor)

## Detailed Description

Vertex manipulator which scales the position of the vertex.

Definition at line 221 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexPositionScaleManipulator::SVertexPositionScaleManipulator | ( | const core::vector3df & | factor | ) | `[inline]`

Definition at line 224 of file SVertexManipulator.h.

## Member Function Documentation

template<typename VType >

void irr::scene::SVertexPositionScaleManipulator::operator() | ( | VType & | vertex | ) | const`[inline]`

Definition at line 226 of file SVertexManipulator.h.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)